Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Enum Class AnonymizationMode

java.lang.Object
java.lang.Enum<AnonymizationMode>
com.microblink.blinkid.entities.recognizers.blinkid.generic.AnonymizationMode

All Implemented Interfaces:
  `Serializable`, `Comparable<AnonymizationMode>`, `Constable`

public enum AnonymizationMode extends Enum<AnonymizationMode>
Defines level of anonymization performed on recognizer result.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FullResult`
  This mode is combination of `ImageOnly` and `ResultFieldsOnly` modes.
  `ImageOnly`
  Full document image is anonymized with black boxes covering sensitive data.
  `None`
  Anonymization will not be performed.
  `ResultFieldsOnly`
  Result fields containing sensitive data are removed from result.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AnonymizationMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnonymizationMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final AnonymizationMode None
    Anonymization will not be performed.

  - ### ImageOnly

    public static final AnonymizationMode ImageOnly
    Full document image is anonymized with black boxes covering sensitive data.

  - ### ResultFieldsOnly

    public static final AnonymizationMode ResultFieldsOnly
    Result fields containing sensitive data are removed from result.

  - ### FullResult

    public static final AnonymizationMode FullResult
    This mode is combination of `ImageOnly` and `ResultFieldsOnly` modes.

- ## Method Details

  - ### values

    public static AnonymizationMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnonymizationMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null